# Deployment modes

The OE stack supports two deployment modes, determined by whether the dataspace uses SSI‑based access control.

## Dataspace with SSI-based access control disabled

### Configuration example

In a dataspace where SSI‑based access control is disabled, only two OE components are required: the OE Node and the marketplace. The table below provides the assumed URLs for each element.

| Component   | URL                                 |
| ----------- | ----------------------------------- |
| OE Node     | <https://node.oceanenterprise.io>   |
| Marketplace | <https://market.oceaneneteprise.io> |

To ensure correct operation, configure the relevant environment variable in each component, using the examples shown in the table below.

| Component       | Environment variable                                                                                                            | Value                             |
| --------------- | ------------------------------------------------------------------------------------------------------------------------------- | --------------------------------- |
| **OE Node**     | [POLICY\_SERVER\_URL](/infrastructure/oe-node-installation-and-configuration.md#policy_server_url)                              | null                              |
| **Marketplace** | [NEXT\_PUBLIC\_PROVIDER\_URL](/infrastructure/marketplace-installation-and-configuration.md#next_public_provider_url)           | <https://node.oceanenterprise.io> |
|                 | [NEXT\_PUBLIC\_METADATACACHE\_URI](/infrastructure/marketplace-installation-and-configuration.md#next_public_metadatacache_uri) | <https://node.oceanenterprise.io> |
|                 | [NEXT\_PUBLIC\_SSI\_ENABLED](/infrastructure/marketplace-installation-and-configuration.md#next_public_ssi_enabled)             | false                             |

### Installation sequence

The recommended deployment order for this setup is:

1. [Install and configure the OE Node](/infrastructure/oe-node-installation-and-configuration.md)
2. [Install and configure the marketplace](/infrastructure/marketplace-installation-and-configuration.md)

## Dataspace with SSI-based access control enabled

### Configuration example

In a dataspace with SSI‑based access control enabled, all OE components are required. The table below provides the assumed URLs for each element.

| Component           | URL                                   |
| ------------------- | ------------------------------------- |
| OE Node             | <https://node.oceanenterprise.io>     |
| Marketplace         | <https://market.oceaneneteprise.io>   |
| Policy Server       | <https://ps.oceanenterprise.io>       |
| Policy Server Proxy | <https://proxy.oceanenterprise.io>    |
| SSI Wallet          | <https://wallet.oceanenterprise.io>   |
| Verifier            | <https://verifier.oceanenterprise.io> |
| OPA Server          | <http://opa.oceanenterprise.io:8181>  |

To ensure correct operation, configure the relevant environment variable in each component, using the examples shown in the table below.

| Component               | Environment variable                                                                                                                                                         | Value                                         |
| ----------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------- |
| **Policy Server**       | [MODE\_PS](/infrastructure/policy-server-and-policy-server-proxy-installation-and-configuration.md#mode_ps)                                                                  | 1                                             |
|                         | [MODE\_PROXY](/infrastructure/policy-server-and-policy-server-proxy-installation-and-configuration.md#mode_proxy)                                                            | 0                                             |
|                         | [OCEAN\_NODE\_URL](/infrastructure/policy-server-and-policy-server-proxy-installation-and-configuration.md#ocean_node_url)                                                   | <https://node.oceanenterprise.io>             |
|                         | [WALTID\_VERIFIER\_URL](/infrastructure/policy-server-and-policy-server-proxy-installation-and-configuration.md#waltid_verifier_url)                                         | <https://wallet.oceanenterprise.io>           |
|                         | [WALTID\_VERIFY\_RESPONSE\_REDIRECT\_URL](/infrastructure/policy-server-and-policy-server-proxy-installation-and-configuration.md#waltid_verify_response_redirect_url)       | <https://proxy.oceanenterprise.io/verify/$id> |
|                         | [WALTID\_VERIFY\_PRESENTATION\_DEFINITION\_URL](/infrastructure/policy-server-and-policy-server-proxy-installation-and-configuration.md#waltid_verify_response_redirect_url) | <https://proxy.oceanenterprise.io/pd/$id>     |
| **Policy Server Proxy** | [MODE\_PS](/infrastructure/policy-server-and-policy-server-proxy-installation-and-configuration.md#mode_ps)                                                                  | 0                                             |
|                         | [MODE\_PROXY](/infrastructure/policy-server-and-policy-server-proxy-installation-and-configuration.md#mode_proxy)                                                            | 1                                             |
|                         | [OCEAN\_NODE\_URL](/infrastructure/policy-server-and-policy-server-proxy-installation-and-configuration.md#ocean_node_url)                                                   | <https://node.oceanenterprise.io>             |
| **OE Node**             | [POLICY\_SERVER\_URL](/infrastructure/oe-node-installation-and-configuration.md#policy_server_url)                                                                           | <https://ps.oceanenterprise.io>               |
| **Marketplace**         | [NEXT\_PUBLIC\_PROVIDER\_URL](/infrastructure/marketplace-installation-and-configuration.md#next_public_provider_url)                                                        | <https://node.oceanenterprise.io>             |
|                         | [NEXT\_PUBLIC\_METADATACACHE\_URI](/infrastructure/marketplace-installation-and-configuration.md#next_public_metadatacache_uri)                                              | <https://node.oceanenterprise.io>             |
|                         | [NEXT\_PUBLIC\_SSI\_ENABLED](/infrastructure/marketplace-installation-and-configuration.md#next_public_ssi_enabled)                                                          | true                                          |
|                         | [NEXT\_PUBLIC\_SSI\_POLICY\_SERVER](/infrastructure/marketplace-installation-and-configuration.md#next_public_ssi_policy_server)                                             | <https://ps.oceanenterprise.io>               |
|                         | [NEXT\_PUBLIC\_OPA\_SERVER\_URL](/infrastructure/marketplace-installation-and-configuration.md#next_public_opa_server_url)                                                   | <http://opa.oceanenterprise.io:8181>          |
|                         | [NEXT\_PUBLIC\_SSI\_WALLET\_API](/infrastructure/marketplace-installation-and-configuration.md#next_public_ssi_wallet_api)                                                   | <https://wallet.oceanenterprise.io>           |

### Installation sequence

The recommended deployment order for this setup is:

1. [Install and configure the SSI Stack](/infrastructure/ssi-stack-installation-and-configuration.md)
2. [Install the Policy Server](/infrastructure/policy-server-and-policy-server-proxy-installation-and-configuration.md)
3. [Install and configure the OE Node](/infrastructure/oe-node-installation-and-configuration.md)
4. [Install and configure the Policy Server Proxy](/infrastructure/policy-server-and-policy-server-proxy-installation-and-configuration.md)
5. [Install and configure the marketplace](/infrastructure/marketplace-installation-and-configuration.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.oceanenterprise.io/infrastructure/deployment-modes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
